Modify

#426 closed defect (fixed)

Replace bitlbee.conf parsing code

Reported by: wilmer Owned by:
Priority: normal Milestone:
Component: BitlBee Version: 1.2.1
Keywords: Cc:
IRC client+version: Client-independent Operating System: Public server
OS version/distro:

Description

The current INI-like file parsing code is very old and buggy and generates very confusing error messages. It should be replaced, probably by something that uses GLib's GKeyFile library. This does bump up the GLib dependency to version 2.6 or higher though...

Attachments (0)

Change History (3)

comment:1 Changed at 2008-06-29T11:24:22Z by robert@…

I don't like to see this except there's a workaround for glib 2.4, because Red Hat Enterprise Linux 4 (CentOS 4) ships glib 2.4.7 and has to stay there of course.

comment:2 Changed at 2008-12-25T11:08:47Z by wilmer

Resolution: fixed
Status: newclosed

GKeyFile was introduced in GLib 2.14 which is way too new (Aug 2007) so instead I rewrote ini.c. I think this rewrite solves all problems. It caches the file in RAM at parsing time, but who cares? :-)

comment:3 Changed at 2016-07-07T20:51:01Z by dx

Milestone: 1.2.x

Modify Ticket

Action
as closed The ticket will remain with no owner.
The resolution will be deleted. Next status will be 'reopened'.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.